	.dbfile C:\iccv7arm\MI4D3E~1\MicroBolt_I2C_Slave.c
	AREA	"Cidata", DATA
_I2cBufferIndex:
	DCB 0
	.dbsym s I2cBufferIndex _I2cBufferIndex c
	AREA	"C$$code", CODE, READONLY
	EXPORT _main
	.dbfunc e main _main fV
	AREA	"C$$code", CODE, READONLY
	ALIGN 4
_main:
	.dbline -1
	.dbline 40
; /*
; |------------------------------------------------------------------------------------------
; |------------------------------------------------------------------------------------------
; | File Name			  : MicroBolt_I2C_Slave.c																					
; | Author			    : Micromint, Inc.						
; | Copyright       : Copyright  2005, Micromint, Inc.																	
; | Creation Date		: 10/9/05																							
; | Version			    : 1.00																																												
; | Spaces per tab	:	2																									
; | Description		  : Main C file																																									 
; | Revision			  :	Initial																																																						
; |------------------------------------------------------------------------------------------
; |------------------------------------------------------------------------------------------
; */
; 
; /*
; |----------------------------------------------------
; |     Includes
; |----------------------------------------------------
; */
; 
; #include <ARM/philips/lpc210x.h>
; #include <arm_macros.h>
; #include "MicroBolt_I2C_Slave.h"
; 
; static unsigned char I2cBuffer[20];
; static unsigned char I2cBufferIndex = 0;	
; 
; /*
; |------------------------------------------------------------------------------------------
; |     Function        :   main
; |     Inputs          :   None
; |     Outputs         :   None
; |     Purpose         :   Main function for system
; |     Author			    :   Micromint, Inc.
; |------------------------------------------------------------------------------------------
; */
; 
; void main(void)
;   {
	.dbline 41
;   __DISABLE_INTERRUPT();                        // Disable all interrupts
	mrs R12,cpsr
	orr R12,R12,#0x80
	msr cpsr_c,R12
	
	.dbline 48
; 
; /*
; |-------------------------
; | Config MAM 
; |-------------------------
; */
;   MAM_CR = 0x00;                                // Turn MAM off (default)
	mov R0,#0
	ldr R1,LIT_main+0
	str R0,[R1,#0]
	.dbline 49
;   MAM_TIM = 0x04;                               // Set flash timing to 4 clock cycles
	mov R0,#4
	ldr R1,LIT_main+4
	str R0,[R1,#0]
	.dbline 51
; 
;   MAM_CR = 0x02;                                // Fully enable the Memory Accleration Module
	mov R0,#2
	ldr R1,LIT_main+0
	str R0,[R1,#0]
	.dbline 58
; 
; /*
; |-------------------------
; | Config PLL and CCLK 
; |-------------------------
; */
;   SCB_PLLCFG |= 0x23;				 	   		            // Set to 59 MHz (0x03 is multiply value of 4)
	ldr R0,LIT_main+8
	ldr R1,[R0,#0]
	orr R1,R1,#35
	str R1,[R0,#0]
	.dbline 59
;   SCB_PLLCON |= 0x01;                           // Enable the PLL 
	ldr R0,LIT_main+12
	ldr R1,[R0,#0]
	orr R1,R1,#1
	str R1,[R0,#0]
	.dbline 60
;   SCB_PLLFEED = 0xAA;					   	  	          // Shadow register copy to enable changes
	mov R0,#170
	ldr R1,LIT_main+16
	str R0,[R1,#0]
	.dbline 61
;   SCB_PLLFEED = 0x55;                           // in PLLCON and PLLCFG
	mov R0,#85
	ldr R1,LIT_main+16
	str R0,[R1,#0]
	.dbline 68
; 
; /*
; |-------------------------
; | Config PCLK 
; |-------------------------
; */
;   SCB_VPBDIV = 0;                               // Peripheral clock is 1/4th Processor clock which equals 14.7456 MHz
	mov R0,#0
	ldr R1,LIT_main+20
	str R0,[R1,#0]
	.dbline 75
; 
; /*
; |-------------------------
; | Configure VIC 
; |-------------------------
; */
;   VICVectAddr0 = (unsigned)pll_isr;             // Assign the PLL lock ISR vector address
	ldr R0,LIT_main+24
	ldr R1,LIT_main+28
	str R0,[R1,#0]
	.dbline 76
;   VICVectCntl0 = INTERRUPT_CHANNEL_FOR_PLL;     // Assign the VIC address to the actual interrupt
	mov R0,#44
	ldr R1,LIT_main+32
	str R0,[R1,#0]
	.dbline 77
;   VICIntEnable = INTERRUPT_ENABLE_FOR_PLL;      // Enable the interrupt  
	mov R0,#4096
	ldr R1,LIT_main+36
	str R0,[R1,#0]
	.dbline 79
; 
; 	VICVectAddr1 = (unsigned)I2c_ISR;							// Assign the I2C ISR vector address 
	ldr R0,LIT_main+40
	ldr R1,LIT_main+44
	str R0,[R1,#0]
	.dbline 80
;   VICVectCntl1 = INTERRUPT_CHANNEL_FOR_I2C;     // Assign the VIC address to the actual interrupt
	mov R0,#41
	ldr R1,LIT_main+48
	str R0,[R1,#0]
	.dbline 81
;   VICIntEnable = INTERRUPT_ENABLE_FOR_I2C;      // Enable the interrupt 
	mov R0,#512
	ldr R1,LIT_main+36
	str R0,[R1,#0]
	.dbline 88
; 
; /*
; |-------------------------
; | Config GPIO 
; |-------------------------
; */
;   PCB_PINSEL0=0x00000050;                       // Setup with ICCARM App builder - MicroBolt_I2C.bcf (I2C)   
	mov R0,#80
	ldr R1,LIT_main+52
	str R0,[R1,#0]
	.dbline 89
;   PCB_PINSEL1=0x55400000;                       //                                   (Secondary JTAG pins) 
	ldr R0,LIT_main+56
	ldr R1,LIT_main+60
	str R0,[R1,#0]
	.dbline 91
; 
;   GPIO_IODIR |= MICROBOLT_LED;                  // Setup MicroBolt LED as output
	ldr R0,LIT_main+64
	ldr R1,[R0,#0]
	orr R1,R1,#4194304
	str R1,[R0,#0]
	.dbline 93
; 
;   GPIO_IOCLR=0xffffffff;                        // Clear all pins to start with
	mvn R0,#0
	ldr R1,LIT_main+68
	str R0,[R1,#0]
	.dbline 100
; 
; /*
; |-------------------------
; | Config I2C 
; |-------------------------
; */
;   I2C_I2SCLH=100;                               // I2C clock
	mov R0,#100
	ldr R1,LIT_main+72
	str R0,[R1,#0]
	.dbline 101
;   I2C_I2SCLL=100;
	mov R0,#100
	ldr R1,LIT_main+76
	str R0,[R1,#0]
	.dbline 102
;   I2C_I2ADR= 0x00000014;											  // Address 10 (0x0A << 1)
	mov R0,#20
	ldr R1,LIT_main+80
	str R0,[R1,#0]
	.dbline 103
;   I2C_I2CONSET=0x00000044;                      // Setup flags
	mov R0,#68
	ldr R1,LIT_main+84
	str R0,[R1,#0]
	.dbline 105
; 
;   __ENABLE_INTERRUPT();                         // Enable all interrupts
	mrs R12,cpsr
	bic R12,R12,#0x80
	msr cpsr_c,R12
	
L2:
	.dbline 114
	.dbline 115
L3:
	.dbline 113
	b L2
X0:
	.dbline -2
L1:
	mov R15,R14
	.dbline 0 ; func end
LIT_main:
	DCD -534790144
	DCD -534790140
	DCD -534790012
	DCD -534790016
	DCD -534790004
	DCD -534789888
	DCD _pll_isr
	DCD -3840
	DCD -3584
	DCD -4080
	DCD _I2c_ISR
	DCD -3836
	DCD -3580
	DCD -536690688
	DCD 1430257664
	DCD -536690684
	DCD -536707064
	DCD -536707060
	DCD -536756208
	DCD -536756204
	DCD -536756212
	DCD -536756224
	.dbend
	EXPORT _pll_isr
	.dbfunc e pll_isr _pll_isr fV
	AREA	"C$$code", CODE, READONLY
	ALIGN 4
_pll_isr:
	sub R14,R14,#4
	stmfd R13!,{R0,R1,R11,R12,R14}
	mov R11,R13
	.dbline -1
	.dbline 131
; 
; /*
; |----------------------------------------------------
; |     Start of application
; |----------------------------------------------------
; */
; 
;   while(1)                                      // Do this forever
;     {
;     }
;   }
; 
; /*
; |------------------------------------------------------------------------------------------
; |     Function        :   pll_isr
; |     Inputs          :   None
; |     Outputs         :   None
; |     Purpose         :   Once PLL has locked, connect it and use for system clock
; |     Author			    :   Micromint, Inc.
; |------------------------------------------------------------------------------------------
; */
; 
; #pragma interrupt_handler pll_isr
; 
; void pll_isr(void)
;   {
	.dbline 132
;   SCB_PLLCON |= 0x02;                           // Connect the PLL 
	ldr R0,LIT_pll_isr+0
	ldr R1,[R0,#0]
	orr R1,R1,#2
	str R1,[R0,#0]
	.dbline 133
;   SCB_PLLFEED = 0xAA;					   	  	          // Shadow register copy to enable changes
	mov R0,#170
	ldr R1,LIT_pll_isr+4
	str R0,[R1,#0]
	.dbline 134
;   SCB_PLLFEED = 0x55;                           // in PLLCON and PLLCFG
	mov R0,#85
	ldr R1,LIT_pll_isr+4
	str R0,[R1,#0]
	.dbline 135
;   VICIntEnClear = PLL_CLR;                      // Disable the PLL interrupt, not needed anymore
	mov R0,#4096
	ldr R1,LIT_pll_isr+8
	str R0,[R1,#0]
	.dbline 136
;   VICVectAddr = VIC_ACK;                        // Acknowledge Interrupt
	mov R0,#0
	ldr R1,LIT_pll_isr+12
	str R0,[R1,#0]
	.dbline -2
L5:
	ldmfd R13!,{R0,R1,R11,R12,PC}^
	.dbline 0 ; func end
LIT_pll_isr:
	DCD -534790016
	DCD -534790004
	DCD -4076
	DCD -4048
	.dbend
	EXPORT _I2c_ISR
	.dbfunc e I2c_ISR _I2c_ISR fV
	AREA	"C$$code", CODE, READONLY
	ALIGN 4
_I2c_ISR:
	sub R14,R14,#4
	stmfd R13!,{R0,R1,R2,R4,R11,R12,R14}
	mov R11,R13
	.dbline -1
	.dbline 152
;   }
; 
; /*
; |------------------------------------------------------------------------------------------
; |     Function        :   I2c_ISR
; |     Inputs          :   None
; |     Outputs         :   None
; |     Purpose         :   I2C interrupt and command processing
; |     Author          :   Micromint, Inc.
; |------------------------------------------------------------------------------------------
; */
; 
; #pragma interrupt_handler I2c_ISR
; 
; void I2c_ISR(void)
; {
	.dbline 153
; 	switch(I2C_I2STAT)
	ldr R0,LIT_I2c_ISR+0
	ldr R4,[R0,#0]
	cmp R4,#144
	beq L24
	cmp R4,#144
	bgt L34
L33:
	cmp R4,#112
	beq L23
	cmp R4,#112
	bgt L36
L35:
	mov R0,R4
	cmp R0,#96
	beq L10
	b L7
L36:
	cmp R4,#128
	beq L11
	cmp R4,#128
	blt L7
L37:
	mov R0,R4
	cmp R0,#136
	beq L22
	b L7
L34:
	cmp R4,#184
	beq L26
	cmp R4,#184
	bgt L39
L38:
	cmp R4,#160
	beq L21
	cmp R4,#160
	blt L7
L40:
	mov R0,R4
	cmp R0,#168
	beq L25
	b L7
L39:
	cmp R4,#192
	beq L31
	cmp R4,#192
	blt L7
L41:
	mov R0,R4
	cmp R0,#200
	beq L32
	b L7
X1:
	.dbline 154
; 			{
L10:
	.dbline 164
; 
; //****************************************************
; // I2C Slave Receive Service Routines
; //****************************************************
; 
; //====================================
; // Unique I2C Slave address received
; //====================================
; 			case (0x60):
; 					{																												// Slave Address and Write received
	.dbline 165
; 					I2cBufferIndex = 0;																			// Reset index counter
	mov R0,#0
	ldr R1,LIT_I2c_ISR+4
	strb R0,[R1,#0]
	.dbline 166
; 					I2C_I2CONSET |= 0x0000004;
	ldr R0,LIT_I2c_ISR+8
	ldr R1,[R0,#0]
	orr R1,R1,#4
	str R1,[R0,#0]
	.dbline 167
; 					break;
	b L8
L11:
	.dbline 171
; 					}
; //------------------------------------
; 			case (0x80):																								// Previously addressed with unique address, receive data now
; 					{
	.dbline 172
; 					I2cBuffer[I2cBufferIndex] = I2C_I2DAT;									// Grab the I2C data
	ldr R0,LIT_I2c_ISR+4
	ldrb R0,[R0,#0]
	ldr R1,LIT_I2c_ISR+12
	ldr R2,LIT_I2c_ISR+16
	ldr R2,[R2,#0]
	strb R2,[R0,+R1]
	.dbline 174
; 
; 					switch(I2cBuffer[0])																		// I2cBuffer[0] is the command
	ldr R0,LIT_I2c_ISR+12
	ldrb R4,[R0,#0]
	cmp R4,#65
	beq L15
	cmp R4,#66
	beq L18
	b L12
X2:
	.dbline 175
; 							{
L15:
	.dbline 180
; 							//========================
; 							// Command A
; 							//========================
; 							case (I2C_CMD_A):															      // Command 'A'
; 									{
	.dbline 181
; 				        	GPIO_IOSET = MICROBOLT_LED;	                    // Turn on MicroBolt LED
	mov R0,#4194304
	ldr R1,LIT_I2c_ISR+20
	str R0,[R1,#0]
	.dbline 183
; 
; 									I2cBufferIndex++;																// Increment count index
	ldr R0,LIT_I2c_ISR+4
	ldrb R1,[R0,#0]
	add R1,R1,#1
	strb R1,[R0,#0]
	.dbline 184
; 									if (I2cBufferIndex < I2C_A_PACKET_SIZE)		      // Still more data to come for packet?
	ldr R0,LIT_I2c_ISR+4
	ldrb R0,[R0,#0]
	cmp R0,#2
	bge L16
	.dbline 185
; 											{
	.dbline 186
; 											I2C_I2CONSET |= 0x0000004;									// More data to come, ACK'em
	ldr R0,LIT_I2c_ISR+8
	ldr R1,[R0,#0]
	orr R1,R1,#4
	str R1,[R0,#0]
	.dbline 187
; 											}
	b L8
L16:
	.dbline 189
; 									else
; 											{
	.dbline 190
; 								 	    GPIO_IOCLR = MICROBOLT_LED;	                // Turn off MicroBolt LED
	mov R0,#4194304
	ldr R1,LIT_I2c_ISR+24
	str R0,[R1,#0]
	.dbline 191
; 											I2C_I2CONCLR = 0x0000004;										// Data done NAK'em to move into state 0x88
	mov R0,#4
	ldr R1,LIT_I2c_ISR+28
	str R0,[R1,#0]
	.dbline 192
; 											I2cBufferIndex = 0;													// Reset count index
	mov R0,#0
	ldr R1,LIT_I2c_ISR+4
	strb R0,[R1,#0]
	.dbline 193
; 											}
	.dbline 194
; 									break;
	b L8
L18:
	.dbline 200
; 									}
; 							//========================
; 							// Command B
; 							//========================
; 							case (I2C_CMD_B):                                   // Command 'B'
; 									{
	.dbline 201
; 				        	GPIO_IOSET = MICROBOLT_LED;	                    // Turn on MicroBolt LED
	mov R0,#4194304
	ldr R1,LIT_I2c_ISR+20
	str R0,[R1,#0]
	.dbline 203
; 
; 									I2cBufferIndex++;																// Increment count index
	ldr R0,LIT_I2c_ISR+4
	ldrb R1,[R0,#0]
	add R1,R1,#1
	strb R1,[R0,#0]
	.dbline 204
; 									if (I2cBufferIndex < I2C_B_PACKET_SIZE)		      // Still more data to come for packet?
	ldr R0,LIT_I2c_ISR+4
	ldrb R0,[R0,#0]
	cmp R0,#4
	bge L19
	.dbline 205
; 											{
	.dbline 206
; 											I2C_I2CONSET |= 0x0000004;									// More data to come, ACK'em
	ldr R0,LIT_I2c_ISR+8
	ldr R1,[R0,#0]
	orr R1,R1,#4
	str R1,[R0,#0]
	.dbline 207
; 											}
	b L8
L19:
	.dbline 209
; 									else
; 											{
	.dbline 210
; 								 	    GPIO_IOCLR = MICROBOLT_LED;	                // Turn off MicroBolt LED
	mov R0,#4194304
	ldr R1,LIT_I2c_ISR+24
	str R0,[R1,#0]
	.dbline 211
; 											I2C_I2CONCLR = 0x0000004;										// Data done NAK'em to move into state 0x88
	mov R0,#4
	ldr R1,LIT_I2c_ISR+28
	str R0,[R1,#0]
	.dbline 212
; 											I2cBufferIndex = 0;													// Reset count index
	mov R0,#0
	ldr R1,LIT_I2c_ISR+4
	strb R0,[R1,#0]
	.dbline 213
; 											}
	.dbline 214
; 									break;
	b L8
L12:
	.dbline 220
; 									}
; 							//========================
; 							// Default
; 							//========================
; 							default:
; 									{
	.dbline 221
; 									I2C_I2CONCLR = 0x0000004;												// NAK'em, not a valid command packet, move into state 0x88
	mov R0,#4
	ldr R1,LIT_I2c_ISR+28
	str R0,[R1,#0]
	.dbline 222
; 									break;
	.dbline 225
; 									}
; 							}				
; 					break;
	b L8
L21:
	.dbline 229
; 					}											
; //------------------------------------
; 			case (0xA0):																									// STOP or repeated START condition occurred
; 					{
	.dbline 230
; 					I2C_I2CONSET |= 0x0000004;																// ACK'em
	ldr R0,LIT_I2c_ISR+8
	ldr R1,[R0,#0]
	orr R1,R1,#4
	str R1,[R0,#0]
	.dbline 231
; 					break;
	b L8
L22:
	.dbline 235
; 					}
; //------------------------------------
; 			case (0x88):																									// Slave Address correct, but don't want the data so NAK'em
; 					{																													// Keep NAK'ing them
	.dbline 236
; 					I2C_I2CONSET |= 0x0000004;
	ldr R0,LIT_I2c_ISR+8
	ldr R1,[R0,#0]
	orr R1,R1,#4
	str R1,[R0,#0]
	.dbline 237
; 					break;
	b L8
L23:
	.dbline 243
; 					}
; //=========================================
; // General I2C Slave call address received
; //=========================================
; 			case (0x70):
; 					{																													// General call address (0x00) received
	.dbline 244
; 					I2C_I2CONSET |= 0x0000004;
	ldr R0,LIT_I2c_ISR+8
	ldr R1,[R0,#0]
	orr R1,R1,#4
	str R1,[R0,#0]
	.dbline 245
; 					break;
	b L8
L24:
	.dbline 249
; 					}
; //------------------------------------
; 			case (0x90):																									// Previously addressed with general call address, receive data now
; 					{
	.dbline 250
; 					I2C_I2CONSET |= 0x0000004;																// ACK'em
	ldr R0,LIT_I2c_ISR+8
	ldr R1,[R0,#0]
	orr R1,R1,#4
	str R1,[R0,#0]
	.dbline 251
; 					break;
	b L8
L25:
	.dbline 258
; 					}
; 
; //****************************************************
; // I2C Slave Transmit Service Routines
; //****************************************************
; 			case (0xA8):																									// Slave Address and Read received 
; 					{
	.dbline 259
; 				 	GPIO_IOSET = MICROBOLT_LED;	                              // Turn on MicroBolt LED
	mov R0,#4194304
	ldr R1,LIT_I2c_ISR+20
	str R0,[R1,#0]
	.dbline 261
; 
; 					I2cBufferIndex = 0;																				// Reset index counter
	mov R0,#0
	ldr R1,LIT_I2c_ISR+4
	strb R0,[R1,#0]
	.dbline 263
; 
;           I2cBuffer[0] = 'C';                                       // First byte is command letter 'C'	
	mov R0,#67
	ldr R1,LIT_I2c_ISR+12
	strb R0,[R1,#0]
	.dbline 264
; 					I2C_I2DAT = I2cBuffer[I2cBufferIndex];                    // First byte to be sent to master																	
	ldr R0,LIT_I2c_ISR+12
	ldr R1,LIT_I2c_ISR+4
	ldrb R1,[R1,#0]
	ldrb R0,[R1,+R0]
	ldr R1,LIT_I2c_ISR+16
	str R0,[R1,#0]
	.dbline 266
; 
; 					I2cBufferIndex++;																					// Increment count index
	ldr R0,LIT_I2c_ISR+4
	ldrb R1,[R0,#0]
	add R1,R1,#1
	strb R1,[R0,#0]
	.dbline 267
; 					I2C_I2CONSET |= 0x0000004;
	ldr R0,LIT_I2c_ISR+8
	ldr R1,[R0,#0]
	orr R1,R1,#4
	str R1,[R0,#0]
	.dbline 268
; 					break;
	b L8
L26:
	.dbline 272
; 					}
; //------------------------------------
; 			case (0xB8):																									// Data transmitted, ACK received 
; 					{
	.dbline 273
; 					if (I2cBufferIndex < I2C_C_PACKET_SIZE)			              // Still more data to send for packet?
	ldr R0,LIT_I2c_ISR+4
	ldrb R0,[R0,#0]
	cmp R0,#6
	bge L27
	.dbline 274
; 							{
	.dbline 275
; 							I2C_I2DAT = I2cBuffer[I2cBufferIndex];                // Assign next byte
	ldr R0,LIT_I2c_ISR+12
	ldr R1,LIT_I2c_ISR+4
	ldrb R1,[R1,#0]
	ldrb R0,[R1,+R0]
	ldr R1,LIT_I2c_ISR+16
	str R0,[R1,#0]
	.dbline 276
; 							I2cBufferIndex++;																			// Increment count index																		
	ldr R0,LIT_I2c_ISR+4
	ldrb R1,[R0,#0]
	add R1,R1,#1
	strb R1,[R0,#0]
	.dbline 278
; 
; 							if (I2cBufferIndex == I2C_C_PACKET_SIZE)
	ldr R0,LIT_I2c_ISR+4
	ldrb R0,[R0,#0]
	cmp R0,#6
	bne L28
	.dbline 279
; 									{
	.dbline 280
; 								 	GPIO_IOCLR = MICROBOLT_LED;	                      // Turn off MicroBolt LED
	mov R0,#4194304
	ldr R1,LIT_I2c_ISR+24
	str R0,[R1,#0]
	.dbline 281
; 									}
	.dbline 282
; 							}
	b L28
L27:
	.dbline 284
; 					else
; 							{																											
	.dbline 285
; 							I2C_I2DAT = 0x255;																		// SDA High, no more data to send
	ldr R0,LIT_I2c_ISR+32
	ldr R1,LIT_I2c_ISR+16
	str R0,[R1,#0]
	.dbline 286
; 							}
L28:
	.dbline 288
; 
; 					I2C_I2CONSET |= 0x0000004;																// Set AA
	ldr R0,LIT_I2c_ISR+8
	ldr R1,[R0,#0]
	orr R1,R1,#4
	str R1,[R0,#0]
	.dbline 289
; 					break;
	b L8
L31:
	.dbline 293
; 					}
; //------------------------------------
; 			case (0xC0):																									// Data transmitted, NAK received
; 					{
	.dbline 294
; 					I2C_I2DAT = 0x255;																				// SDA High, master doesn't want anymore data
	ldr R0,LIT_I2c_ISR+32
	ldr R1,LIT_I2c_ISR+16
	str R0,[R1,#0]
	.dbline 295
; 					I2C_I2CONSET |= 0x0000004;																// Set AA
	ldr R0,LIT_I2c_ISR+8
	ldr R1,[R0,#0]
	orr R1,R1,#4
	str R1,[R0,#0]
	.dbline 296
; 					break;
	b L8
L32:
	.dbline 300
; 					}
; //------------------------------------
; 			case (0xC8):																									// Slave Address or general call correct, data same as last transmitted
; 					{																													// Not a valid state, but ACK'em just in case
	.dbline 301
; 					I2C_I2CONSET |= 0x0000004;
	ldr R0,LIT_I2c_ISR+8
	ldr R1,[R0,#0]
	orr R1,R1,#4
	str R1,[R0,#0]
	.dbline 302
; 					break;
	b L8
L7:
	.dbline 308
; 					}
; //------------------------------------
; 
; //------------------------------------
; 			default:
; 					{
	.dbline 309
; 					I2C_I2CONSET |= 0x0000004;																// When in doubt ACK'em
	ldr R0,LIT_I2c_ISR+8
	ldr R1,[R0,#0]
	orr R1,R1,#4
	str R1,[R0,#0]
	.dbline 310
; 					break;
L8:
	.dbline 315
; 					}
; 			}
; //------------------------------------
; 
; 	I2C_I2CONCLR = I2C_CLR;																				    // I2C interrupt clear
	mov R0,#8
	ldr R1,LIT_I2c_ISR+28
	str R0,[R1,#0]
	.dbline 316
; 	VICVectAddr = VIC_ACK; 																						// Acknowledge Interrupt
	mov R0,#0
	ldr R1,LIT_I2c_ISR+36
	str R0,[R1,#0]
	.dbline -2
L6:
	ldmfd R13!,{R0,R1,R2,R4,R11,R12,PC}^
	.dbline 0 ; func end
LIT_I2c_ISR:
	DCD -536756220
	DCD _I2cBufferIndex
	DCD -536756224
	DCD _I2cBuffer
	DCD -536756216
	DCD -536707068
	DCD -536707060
	DCD -536756200
	DCD 597
	DCD -4048
	.dbend
	AREA	"Cudata", NOINIT
_I2cBuffer:
	SPACE 20
	.dbsym s I2cBuffer _I2cBuffer A[20:20]c
	END
